Foxit PDF SDK

Public Member Functions | Static Public Attributes | List of all members
FoxitPDFSDKPython2.TableBorderInfo Class Reference

Inherits FoxitPDFSDKPython2._object.

## Public Member Functions
def | TableBorderInfo ()
| Constructor.
def | TableBorderInfo (table_border_style, line_width, color, dash_phase, dashes)
| Constructor, with parameters. More...
def | TableBorderInfo (table_border_info)
| Constructor, with another table border information object. More...
def | Set (table_border_style, line_width, color, dash_phase, dashes)
| Set value. More...

## Static Public Attributes
| color = _fsdk.TableBorderInfo_color
| The table border color. Format: 0xAARRGGBB.
| dash_phase = _fsdk.TableBorderInfo_dash_phase
| Dash phase.It should not be negative. Only useful when parameter style</ i> is FoxitPDFSDKPython2.TableBorderInfo.e_TableBorderStyleDashed . Please refer to <PDF Reference 1.7> P211 "dash pattern" for more details.
| dashes = _fsdk.TableBorderInfo_dashes
| A dash array that represents the dash patterns. The value of each element in this array should not be negative. Only useful when style is FoxitPDFSDKPython2.TableBorderInfo.e_TableBorderStyleDashed . Please refer to <PDF Reference 1.7> P211 "dash pattern" for more details.
| e_TableBorderStyleDashed = _fsdk.TableBorderInfo_e_TableBorderStyleDashed
| Table border style: Dashed.
| e_TableBorderStyleSolid = _fsdk.TableBorderInfo_e_TableBorderStyleSolid
| Table border style: Solid.
| line_width = _fsdk.TableBorderInfo_line_width
| Table border line width, in points. This should be a non-negative value. If this value is 0, no border is drawn.
| table_border_style = _fsdk.TableBorderInfo_table_border_style
| Table border style. Please refer to values starting from FoxitPDFSDKPython2.TableBorderInfo.e_TableBorderStyleSolid and this should be one of these values.

## Detailed Description

This class represents table border information.

## Constructor & Destructor Documentation

## ◆ TableBorderInfo() [1/2]

def FoxitPDFSDKPython2.TableBorderInfo.TableBorderInfo | ( |  | table_border_style,
|  |  | line_width,
|  |  | color,
|  |  | dash_phase,
|  |  | dashes
| ) |  |

Constructor, with parameters.

Parameters

  [in] | table_border_style | Table border style. Please refer to values starting from FoxitPDFSDKPython2.TableBorderInfo.e_TableBorderStyleSolid and this should be one of these values.
  [in] | line_width | Table border line width, in points. This should be a non-negative value. If this value is 0, no border is drawn.
  [in] | color | The table border color. Format: 0xAARRGGBB.
  [in] | dash_phase | Dash phase. Only useful when parameter style is FoxitPDFSDKPython2.TableBorderInfo.e_TableBorderStyleDashed .
  [in] | dashes | A dash array that represents the dash patterns. The value of each element in this array should not be negative. Only useful when style is FoxitPDFSDKPython2.TableBorderInfo.e_TableBorderStyleDashed .

## ◆ TableBorderInfo() [2/2]

def FoxitPDFSDKPython2.TableBorderInfo.TableBorderInfo | ( |  | table_border_info | ) |

Constructor, with another table border information object.

Parameters

  [in] | table_border_info | Another table border information object.

## Member Function Documentation

## ◆ Set()

def FoxitPDFSDKPython2.TableBorderInfo.Set | ( |  | table_border_style,
|  |  | line_width,
|  |  | color,
|  |  | dash_phase,
|  |  | dashes
| ) |  |

Set value.

Parameters

  [in] | table_border_style | Table border style. Please refer to values starting from FoxitPDFSDKPython2.TableBorderInfo.e_TableBorderStyleSolid and this should be one of these values.
  [in] | line_width | Table border line width, in points. This should be a non-negative value. If this value is 0, no border is drawn.
  [in] | color | The table border color. Format: 0xAARRGGBB.
  [in] | dash_phase | Dash phase. Only useful when parameter style is FoxitPDFSDKPython2.TableBorderInfo.e_TableBorderStyleDashed .
  [in] | dashes | A dash array that represents the dash patterns. The value of each element in this array should not be negative. Only useful when style is FoxitPDFSDKPython2.TableBorderInfo.e_TableBorderStyleDashed .

Returns
  None.